# Method SDL.Joystick()->get_hat()

Method get_hat

  ``int` get_hat(`int` `hat`)`

Description

  Returns the current state of the given hat.

  This is represented as an OR'd combination of one or more of the following constants:

    `SDL.HAT_CENTERED`

    `SDL.HAT_UP`

    `SDL.HAT_RIGHT`

    `SDL.HAT_DOWN`

    `SDL.HAT_LEFT`

    `SDL.HAT_RIGHTUP`

    `SDL.HAT_RIGHTDOWN`

    `SDL.HAT_LEFTUP`

    `SDL.HAT_LEFTDOWN`

Parameter `hat`

  The hat index.

Returns

  The current state of the given hat.

See also

  num_hats()